Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryParser.standard.config
Class FuzzyConfig

    java.lang.Object
      org.apache.lucene.queryParser.standard.config.FuzzyConfig

    public class FuzzyConfig

extends Object

Constructor Summary
`FuzzyConfig()`

Method Summary
`float` | `getMinSimilarity()`
`int` | `getPrefixLength()`
`void` | `setMinSimilarity(float minSimilarity)`
`void` | `setPrefixLength(int prefixLength)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FuzzyConfig

    public FuzzyConfig()

Method Detail

### getPrefixLength

    public int getPrefixLength()

### setPrefixLength

    public void setPrefixLength(int prefixLength)

### getMinSimilarity

    public float getMinSimilarity()

### setMinSimilarity

    public void setMinSimilarity(float minSimilarity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD